Spaces method and path for this operation:
get /s/{space_id}/api/fleet/agents/{agentId}/uploads
Refer to Spaces for more information.
Get a list of files uploaded by a specific agent.
[Required authorization] Route required privileges: fleet-agents-read.
GET
/api/fleet/agents/{agentId}/uploads
curl \
--request GET 'https://<KIBANA_URL>/api/fleet/agents/{agentId}/uploads' \
--header "Authorization: $API_KEY"
Response examples (200)
List of files uploaded by the agent
{
"items": [
{
"actionId": "action-id-1",
"createTime": "2024-01-01T00:00:00.000Z",
"filePath": "/tmp/diagnostics-2024-01-01.zip",
"id": "file-id-1",
"name": "diagnostics-2024-01-01.zip",
"status": "READY"
}
]
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}